package com.bonus.core.customer.v4;

import io.swagger.annotations.ApiModelProperty;

public class CustInfoBasic {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("手机号")
   private String mobile;
   @ApiModelProperty("卡序列号")
   private String serialNum;
   @ApiModelProperty("人员类别")
   private Integer psnType;

   public Long getCustId() {
      return this.custId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

}
